PDA

View Full Version : [OPEN] [CLOSED][3.0.1] issue with store baseParams



thaiat
3 Sep 2009, 1:13 AM
In release 3.0.1 the execute function of Ext.data.Store has been modified
from


if (action === 'read') {
doRequest = this.fireEvent('beforeload', this, options);
}
to


if (action === 'read') {
Ext.apply(options.params, this.baseParams);
doRequest = this.fireEvent('beforeload', this, options);
}

I believe it should be Ext.applyIf instead of Ext.apply so that if params are passed to store.load they are not overrided by baseParams.

Cheers

Avi

evant
3 Sep 2009, 1:17 AM
It's already like this in SVN. Marking as closed.